Description

| recently tried to install PostgreSQL in a FreeNAS 9.10 jail, only to see that SysVIPC must be enabled in the jail for it to work. This is
a simple procedure for enabling SysVIPC in a FreeNAS 9.10 jail.

Enable SysVIPC on the Host

e | og into the FreeNAS administration panel and go to System -> Tunables

* Next click Add Tunable and add the following:
1. Variable: security.jail.sysvipc_allowed
2. Value: 1
3. Type: Sysctl
4. Comment: Enable SysVIPC
5. Enabled: [X]

¢ Reboot the FreeNAS machine, just to be safe.

Create a SysVIPC Enabled Jail

¢ From the FreeNAS administration interface, go to Jails.

¢ Next click Add Jail and add the following:
o Jail Name: jail.example.com
o Sysctls: allow.sysvipc=1
NOTE: Make sure if appending the sysctl to additional options to use comma separation, example
allow.raw_sockets=true,allow.sysvipc=1

¢ Click OK

Now the jail.exmaple.com will have SysVIPC available for programs to use.

History

#1 - 04/02/2016 01:57 PM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 04/09/2016 10:18 AM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 05/20/2016 10:23 AM - Daniel Curtis

- Description updated

04/27/2024 1/1



http://www.tcpdf.org

